Subject: Re: Git tedious verbosity

From: Sergey Organov <[email-masked]>
Date: Wed, 12 Feb 2020 07:34:46 +0300

Jeff King <[email-masked]> writes:

> On Tue, Feb 11, 2020 at 02:55:49PM -0500, Jeff King wrote:
>
>> On Tue, Feb 11, 2020 at 05:19:53PM +0300, Aleksey Midenkov wrote:
>> 
>> > Nice info, thanks. Does that disable maintenance messages like:
>> > 
>> > Updated 1 path from the index
>> 
>> I don't think it does. Usually how this works is that we add new
>> messages which we think might be helpful, enable them by default (since
>> users aren't likely to find out about them if they never see them!), and
>> then if they turn out to be annoying or verbose, add an advice.* config
>> option to allow people to avoid them.
>> 
>> The message quoted above is a relatively new one, and I don't think it's
>> hit that third step yet. Patches welcome. :)
>
> Oh, and if you want to see the complete list, look for "advice.*" in
> "git help config".

It says:

   All advice.* variables default to true, and you can tell Git that you
   do not need help by setting these to false:

If there were an option to set that default to 'false' (advice.default
maybe?), it'd have answered the demands of the experts, I think.

-- Sergey